<?php

namespace inter\mysqlStruct;

class Database
{
    private string $name;
    /** @var Table[] */
    private array $tables;

    public function __construct(string $name)
    {
        $this->name = $name;
    }

    public function AddTable(Table $table): self
    {
        $this->tables[] = $table;
        return $this;
    }

    /**
     * @return Table[]
     */
    public function GetTables(): array
    {
        return $this->tables;
    }
}
